get_filename_component(volk_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

if(NOT TARGET vulkan_volk::vulkan_volk)
  include("${volk_CMAKE_DIR}/vulkan_volkTargets.cmake")
endif()

# Mirror the default behaviour of the respective option.
if(NOT DEFINED VOLK_PULL_IN_VULKAN)
    set(VOLK_PULL_IN_VULKAN ON)
endif()

if(VOLK_PULL_IN_VULKAN)
  find_package(Vulkan QUIET)
  if(TARGET Vulkan::Vulkan) 
    add_dependencies(vulkan_volk::vulkan_volk Vulkan::Vulkan)
    add_dependencies(vulkan_volk::volk_headers Vulkan::Vulkan)
  elseif(DEFINED ENV{VULKAN_SDK})
    target_include_directories(vulkan_volk::vulkan_volk INTERFACE "$ENV{VULKAN_SDK}/include")
    target_include_directories(vulkan_volk::volk_headers INTERFACE "$ENV{VULKAN_SDK}/include")
  endif()
endif()
